## gimplimits

gimplimits — Boundaries of some GIMP data types and some global constants.

## Types and Values

#define | GIMP_MIN_IMAGE_SIZE
#define | GIMP_MAX_IMAGE_SIZE
#define | GIMP_MIN_RESOLUTION
#define | GIMP_MAX_RESOLUTION
#define | GIMP_MAX_MEMSIZE

## Description

Boundaries of some GIMP data types and some global constants.

## Functions

## Types and Values

### GIMP_MIN_IMAGE_SIZE

    #define GIMP_MIN_IMAGE_SIZE  1

The minimum width and height of a GIMP image in pixels.

### GIMP_MAX_IMAGE_SIZE

    #define GIMP_MAX_IMAGE_SIZE  524288    /*  2^19  */

The maximum width and height of a GIMP image in pixels. This is a somewhat arbitrary value that can be used when an upper value for pixel sizes is needed; for example to give a spin button an upper limit.

### GIMP_MIN_RESOLUTION

    #define GIMP_MIN_RESOLUTION  5e-3      /*  shouldn't display as 0.000  */

The minimum resolution of a GIMP image in pixels per inch. This is a somewhat arbitrary value that can be used when a lower value for a resolution is needed. GIMP will not accept resolutions smaller than this value.

### GIMP_MAX_RESOLUTION

    #define GIMP_MAX_RESOLUTION  1048576.0

The maximum resolution of a GIMP image in pixels per inch. This is a somewhat arbitrary value that can be used to when an upper value for a resolution is needed. GIMP will not accept resolutions larger than this value.

### GIMP_MAX_MEMSIZE

    #define GIMP_MAX_MEMSIZE     ((guint64) 1 << 42) /*  4 terabyte;

A large but arbitrary value that can be used when an upper limit for a memory size (in bytes) is needed. It is smaller than `G_MAXDOUBLE` since the GimpMemsizeEntry doesn't handle larger values.